Subject: Problem with automatic logon using sshd
From: Volker Vöcking <[email-masked]>
To: <[email-masked]>
Date: Mon, 19 Jul 2004 21:49:08 +0200

Hi,

I want to trigger an automated build on a windows box from a unix box.
I’ve setup cygwin with sshd. The build command that is executed runs 
devenv.exe (Visual Studio .NET 2003) with a solution file and build target.

Two scenarios that show different results:

#1
User must enter a password when logging on using ssh.
-> In this case the build command succeeds.

#2
The user’s public key is added to the authorized_keys file. 
Now no password is needed.
-> The build command fails with ”Microsoft Visual C++ Runtime Library :
Runtime Error!” (found in the Windows “System Log”)

#1 and #2 are done with the same user and the same ssh client from the same
Unix machine.

I have compared the env after logon, they are identical.

Apparently there is a difference between #1 and #2 in how the user gets
impersonated though cygwin.

Any hint is welcome!

Thanks in advance,

Volker

 

Versions:

Windows 2000 Server SP4 (stand-alone, not a domain member or controller)

Openssh 3.8.1p1-1

Openssl 0.9.7d-1

Cygrunsrv 1.0-1

Cywin 1.5.10-3

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/